EDIT - feature request #7715

Description sources should be handled same as DescriptionElement
09/03/2018 11:53 AM - Andreas Miller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Patrick Plitzner % Done: 50%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.3

Severity: normal

Description

Description sources are currently in supplemental data, DescriptionElement in Details view.

Both should be in Details view.

Related issues:
Related to EDIT - feature request #1847: Apply description sources (reference... Rejected

Related to EDIT - bug #7716: Apply description sources (references) for a Des... In Progress

Associated revisions

Revision 472f773b - 09/03/2018 02:44 PM - Patrick Plitzner

fix #7715 Show sources for descriptions in DetailsView

Revision d2c62a2b - 09/05/2018 11:54 AM - Katja Luther

fix #7715: set title to reference and remove selection dialog for type of original source

Revision b717449e - 09/07/2018 11:10 AM - Katja Luther

fix #7715: label for sources of descriptions and descriptionelements are changed to sources

Revision 7ec143e3 - 10/26/2018 09:30 AM - Patrick Plitzner

ref #7715 re-enable source section in supplemental view for descriptions

History

#1 - 09/03/2018 11:53 AM - Andreas Mdiller

- Related to feature request #1847: Apply description sources (references) for a DescriptionBase to all included description elements added

#2 - 09/03/2018 12:04 PM - Andreas Miuller

- Related to bug #7716: Apply description sources (references) for a DescriptionBase to all included description elements added

#3 - 09/03/2018 02:45 PM - Patrick Plitzner
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|472f773b8ac025f074ab28f5ef674533cda95717.

#4 - 09/03/2018 02:45 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Muiller

#5 - 09/05/2018 09:12 AM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 50 to 70

Generally it works, but there comes a selection dialog for choosing the source type. This needs to be removed as for now PrimaryTaxonomicSource
should be the default type. Within additivity we may discuss if under certain circumstances this should not be the case.
Katja, could you do this as PP is on holidays?

#6 - 09/05/2018 09:14 AM - Andreas Miiller

Generally we need to discuss if moving the sources from Supplemental Data to Details View means removing them at first place or cloning them. But
this may be discussed together with general discussion on handling supplemental data in details view.

#7 - 09/05/2018 09:20 AM - Andreas Mdller

The section is called "Description Sources" we should either relabel them "References" as in DescriptionElementDetailsView or relabel them
"Sources" as in SupplementalDataView. If doing the later we should also relabel them in DescriptionElementDetailsView accordingly.

| prefer the later as it is more correct and more consistent throughout the application and according to the data model. Also "source" is less ambigous
then "reference".

We should definitely remove "Description" from label as this becomes clear from the DetailsView label already and is ambigous because the term
Description is ambigous.

#8 - 09/05/2018 11:54 AM - Katja Luther
- Status changed from Feedback to Resolved

- % Done changed from 70 to 50

Applied in changeset taxeditor|d2c62a2b15901df2b03ad04d2f384{523d781492.

#9 - 09/06/2018 11:16 AM - Andreas Miiller

- Assignee changed from Katja Luther to Patrick Plitzner

#10 - 09/06/2018 11:17 AM - Andreas Miiller

- Assignee changed from Patrick Plitzner to Andreas Miiller

#11 - 09/07/2018 09:48 AM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Miiller to Katja Luther

Andreas Muller wrote:

The section is called "Description Sources" we should either relabel them "References" as in DescriptionElementDetailsView or relabel them
"Sources" as in SupplementalDataView. If doing the later we should also relabel them in DescriptionElementDetailsView accordingly.

| prefer the later as it is more correct and more consistent throughout the application and according to the data model. Also "source" is less
ambigous then "reference".

Is there a reason for using "Reference" now, not "Source" as suggested. If yes can you please leave a note why you think this is preferable?

#12 - 09/07/2018 09:48 AM - Andreas Muller

Generally this ticket is ready and can be closed.

#13 - 09/07/2018 09:49 AM - Andreas Miiller
- % Done changed from 50 to 90

#14 - 09/07/2018 11:10 AM - Katja Luther
- Status changed from Feedback to Resolved

- % Done changed from 90 to 50

Applied in changeset taxeditor|b717449e43d02a06fe22849e383f8a6e922682aa.

#15 - 09/07/2018 11:27 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

changed the label of descriptions and descriptionelements sources to sources
#16 - 09/07/2018 12:54 PM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Miiller to Patrick Plitzner
